# -*- coding: utf-8 -*-
#!/usr/bin/env python

from google.cloud import translate
from google.oauth2 import service_account


def Translate(phrase,googlekey):
    #Googleの認証
    creds = service_account.Credentials.from_service_account_file(googlekey)
    if creds.requires_scopes:
        creds = creds.with_scopes(['https://www.googleapis.com/auth/cloud-platform'])    

    #翻訳用のインスタンス生成
    translate_client = translate.Client(credentials=creds)

    #対象の言語の設定
    target = 'en'

    translation = translate_client.translate(
        phrase,
        target_language=target)

    tmpTran=(u'Translation: {}'.format(translation['translatedText']))
    
    return translation['translatedText']


if __name__ == "__main__":
    g_key='--------------------'#APIキーを入力
    
    ph='こんにちは'

    ph_e=Translate(ph,g_key)

    print(ph_e)
